<template>
  <v-sheet rounded="lg">
    <v-list rounded="lg">
      <v-list-item title="Категории и фильтры"> </v-list-item>
    </v-list>
    <v-divider class="my-2"></v-divider>
    <v-list rounded="lg">
      <v-list-item v-for="cat in categories" :key="cat">
        {{ cat }}
      </v-list-item>

      <v-divider class="my-2"></v-divider>
      <v-list-item color="green">
        <v-btn block color="green" @click="onFilterHandler">Применить</v-btn>
      </v-list-item>
    </v-list>
  </v-sheet>
</template>

<script setup>
import { onMounted } from 'vue'
import { get, dispatch } from 'vuex-pathify'

const categories = get('market/categories')
function onFilterHandler() {
  dispatch('market/addProduct')
}
</script>

<style scoped></style>
